# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2018 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2018, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from nfe.pysped.xml_sped import TagInteiro, TagDecimal
from nfe.mdfe.base import NAMESPACE_MDFE
from nfe.mdfe.base import XMLMDFe
from nfe.mdfe.manual_300 import *
import os

DIRNAME = os.path.dirname(__file__)


class ConsReciMDFe(XMLMDFe):
    """Mensagem de consulta processamento do MDF-e transmitido."""
    def __init__(self):
        super(ConsReciMDFe, self).__init__()
        self.versao = TagDecimal(
            nome=u'consReciMDFe', tamanho=[1, 4, 1], decimais=[0, 2, 2], propriedade=u'versao',
            raiz=u'/', valor=u'3.00', namespace=NAMESPACE_MDFE)
        self.tpAmb = TagInteiro(nome=u'tpAmb', tamanho=[1, 1], raiz=u'//consReciMDFe')
        self.nRec = TagInteiro(nome=u'nRec', tamanho=[1, 15], raiz=u'//consReciMDFe')
        self.caminho_esquema = os.path.join(DIRNAME, u'schema/', ESQUEMA_ATUAL + u'/')
        self.arquivo_esquema = u'consReciMDFe_v3.00.xsd'

    @property
    def xml(self):
        xml = u'<consReciMDFe xmlns="%s" versao="%s">' % (NAMESPACE_MDFE, self.versao.valor)
        xml += self.tpAmb.xml
        xml += self.nRec.xml
        xml += u'</consReciMDFe>'

        return xml

    @xml.setter
    def xml(self, arquivo):
        self.versao.xml = arquivo
        self.tpAmb.xml = arquivo
        self.nRec.xml = arquivo

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
