# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2018 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2018, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from nfe.pysped.xml_sped import TagCaracter, TagInteiro, TagDecimal
from nfe.mdfe.base import NAMESPACE_MDFE
from nfe.mdfe.base import XMLMDFe
from nfe.mdfe.manual_300 import *

import os

DIRNAME = os.path.dirname(__file__)


class ConsStatServMDFe(XMLMDFe):
    """Mensagem da consulta do status do servico de autorizacao do MDF-e."""
    def __init__(self):
        super(ConsStatServMDFe, self).__init__()
        self.versao = TagDecimal(
            nome=u'consStatServMDFe', tamanho=[1, 4, 1], decimais=[0, 2, 2], propriedade=u'versao',
            raiz=u'/', valor=u'3.00', namespace=NAMESPACE_MDFE)
        self.tpAmb = TagInteiro(nome=u'tpAmb', tamanho=[1, 1], raiz=u'//consStatServMDFe')
        self.xServ = TagCaracter(
            nome=u'xServ', tamanho=[6, 6], raiz=u'//consStatServMDFe', valor=u'STATUS')
        self.caminho_esquema = os.path.join(DIRNAME, u'schema/', ESQUEMA_ATUAL + u'/')
        self.arquivo_esquema = u'consStatServMDFe_v3.00.xsd'

    @property
    def xml(self):
        xml = u'<consStatServMDFe xmlns="%s" versao="%s">' % (NAMESPACE_MDFE, self.versao.valor)
        xml += self.tpAmb.xml
        xml += self.xServ.xml
        xml += u'</consStatServMDFe>'

        return xml

    @xml.setter
    def xml(self, arquivo):
        self.versao.xml = arquivo
        self.tpAmb.xml = arquivo
        self.xServ.xml = arquivo

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
