# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2018 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2018, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from nfe.pysped.xml_sped import TagCaracter, TagDecimal, tira_abertura
from nfe.mdfe.manual_300.MDFe import MDFe
from nfe.mdfe.base import NAMESPACE_MDFE
from nfe.mdfe.base import XMLMDFe
from nfe.mdfe.manual_300 import *
import os

DIRNAME = os.path.dirname(__file__)


class EnviMDFe(XMLMDFe):
    """Mensagem de envio e solicitacao de autorizacao do MDF-e."""
    def __init__(self):
        super(EnviMDFe, self).__init__()
        self.versao = TagDecimal(
            nome=u'enviMDFe', tamanho=[1, 4, 1], decimais=[0, 2, 2], propriedade=u'versao',
            raiz=u'/', namespace=NAMESPACE_MDFE, valor=u'3.00')
        self.idLote = TagCaracter(nome=u'idLote', tamanho=[1, 15], raiz=u'//enviMDFe')
        self.mdfe = []  # Obrigatorio - Maximo 1 (no futuro podera conter mais de um MDF-e)
        self.caminho_esquema = os.path.join(DIRNAME, u'schema/', ESQUEMA_ATUAL + u'/')
        self.arquivo_esquema = u'enviMDFe_v3.00.xsd'

    @property
    def xml(self):
        xml = u'<enviMDFe xmlns="%s" versao="%s">' % (NAMESPACE_MDFE, self.versao.valor)
        xml += self.idLote.xml
        for m in self.mdfe[:50]:  # Inicialmente somente um MDF-e
            xml += tira_abertura(m.xml)
        xml += u'</enviMDFe>'

        return xml

    @xml.setter
    def xml(self, arquivo):
        self.versao.xml = arquivo
        self.idLote.xml = arquivo
        self.mdfe = self.le_grupo(u'//envMDFe', MDFe)

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

