# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2018 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2018, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from nfe.pysped.xml_sped import TagCaracter, TagInteiro, TagDecimal, TagDataHoraUTC, TagDataHora
from nfe.mdfe.base import XMLMDFe, NAMESPACE_MDFE
from nfe.mdfe.manual_300 import *
import os

DIRNAME = os.path.dirname(__file__)


class RetConsStatServMDFe(XMLMDFe):
    """Mensagem de retorno da consulta do status do servico de autorizacao do MDF-e."""
    def __init__(self):
        super(RetConsStatServMDFe, self).__init__()
        self.versao = TagDecimal(
            nome=u'retConsStatServMDFe', tamanho=[1, 4, 1], decimais=[0, 2, 2],
            propriedade=u'versao', raiz=u'/', namespace=NAMESPACE_MDFE, valor=u'3.00')
        self.tpAmb = TagInteiro(nome=u'tpAmb', tamanho=[1, 1], raiz=u'//retConsStatServMDFe')
        self.verAplic = TagCaracter(
            nome=u'verAplic', tamanho=[1, 20], raiz=u'//retConsStatServMDFe')
        self.cStat = TagCaracter(nome=u'cStat', tamanho=[3, 3], raiz=u'//retConsStatServMDFe')
        self.xMotivo = TagCaracter(nome=u'xMotivo', tamanho=[1, 255], raiz=u'//retConsStatServMDFe')
        self.cUF = TagInteiro(nome=u'cUF', tamanho=[2, 2], raiz=u'//retConsStatServMDFe')
        self.dhRecbto = TagDataHoraUTC(nome=u'dhRecbto', raiz=u'//retConsStatServMDFe')
        self.tMed = TagInteiro(nome=u'tMed', tamanho=[1, 4], raiz=u'//retConsStatServMDFe')
        self.dhRetorno = TagDataHora(
            nome=u'dhRetorno', raiz=u'//retConsStatServMDFe', obrigatorio=False)
        self.xObs = TagCaracter(nome=u'xObs', tamanho=[1, 255], raiz=u'//retConsStatServMDFe')
        self.caminho_esquema = os.path.join(DIRNAME, u'schema/', ESQUEMA_ATUAL + u'/')
        self.arquivo_esquema = u'retConsStatServMDFe_v3.00.xsd'

    @property
    def xml(self):
        xml = u'<retConsStatServMDFe xmlns="%s" versao="%s">' % (NAMESPACE_MDFE, self.versao.valor)
        xml += self.tpAmb.xml
        xml += self.verAplic.xml
        xml += self.cStat.xml
        xml += self.xMotivo.xml
        xml += self.cUF.xml
        xml += self.dhRecbto.xml
        xml += self.tMed.xml
        xml += self.dhRetorno.xml
        xml += self.xObs.xml
        xml += u'</retConsStatServMDFe>'

        return xml

    @xml.setter
    def xml(self, arquivo):
        self.versao.xml = arquivo
        self.tpAmb.xml = arquivo
        self.verAplic.xml = arquivo
        self.cStat.xml = arquivo
        self.xMotivo.xml = arquivo
        self.cUF.xml = arquivo
        self.dhRecbto.xml = arquivo
        self.tMed.xml = arquivo
        self.dhRetorno.xml = arquivo
        self.xObs.xml = arquivo

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
