# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2023 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from nfe.pysped.nfe.webservices_3 import *
from nfe.nfe_400.webservices_flag import *

VERSAO = '4.00'

# Os ´Web Services´ dos estados passam a ter versao a fim de aue se possa ter controle entre as
# diferentes versoes de um mesmo servico
ESTADO_WS = {
    VERSAO: {
        UF: {
            AMBIENTE: {
                SERVICO: ESTADO_WS[UF][AMBIENTE][SERVICO].copy()
                for SERVICO in ESTADO_WS[UF][AMBIENTE].keys()
            } for AMBIENTE in ESTADO_WS[UF].keys()
        } for UF in ESTADO_WS.keys()
    }
}

#
# SEFAZ Nacional - Ambiente de producao
#
# ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] <-- Nao implementado

# Este webservice deixou de funcionar em 12/05/23, foi trocado o servidor, mas na documentação continua este, verificar futuramente
# ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
#     servidor=u'www.nfe.fazenda.gov.br', webservice=u'NFeRecepcaoEvento4',
#     metodo=u'nfeRecepcaoEvento',  url=u'NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
#     namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'www1.nfe.fazenda.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento',  url=u'NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')



ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CCE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO]
# ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] <-- Nao implementado
ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    AN[AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_DESTINATARIO]

#
# SEFAZ Nacional - Ambiente de homologacao
#
# ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] <-- Nao implementado
ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'hom.nfe.fazenda.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CCE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO]
# ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] <-- Nao implementado
ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    AN[AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_DESTINATARIO]


#
# SEFAZ Amazonas - Ambiente de producao
#
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe.sefaz.am.gov.br', webservice=u'NfeInutilizacao2', metodo=u'nfeInutilizacaoNF2',
    url=u'services2/services/NfeInutilizacao2',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe.sefaz.am.gov.br', webservice=u'NfeConsulta2', metodo=u'nfeConsultaNF2',
    url=u'services2/services/NfeConsulta2',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe.sefaz.am.gov.br', webservice=u'NfeStatusServico2', metodo=u'nfeStatusServicoNF2',
    url=u'services2/services/NfeStatusServico2',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = \
    UFAM[AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfe.sefaz.am.gov.br', webservice=u'RecepcaoEvento', metodo=u'nfeRecepcaoEvento',
    url=u'services2/services/RecepcaoEvento',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.am.gov.br', webservice=u'NfeAutorizacao', metodo=u'nfeAutorizacaoLote',
    url=u'services2/services/NfeAutorizacao',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.am.gov.br', webservice=u'NfeRetAutorizacao',
    metodo=u'nfeRetAutorizacaoLote', url=u'services2/services/NfeRetAutorizacao',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Amazonas - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'homnfe.sefaz.am.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'services2/services/NfeInutilizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'homnfe.sefaz.am.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'services2/services/NfeConsulta4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'homnfe.sefaz.am.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'services2/services/NfeStatusServico4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'homnfe.sefaz.am.gov.br', webservice=u'CadConsultaCadastro4',
    metodo=u'consultaCadastro', url=u'services2/CadConsultaCadastro4/CadConsultaCadastro4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'homnfe.sefaz.am.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'services2/NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'homnfe.sefaz.am.gov.br', webservice=u'NFeAutorizacao4', metodo=u'nfeAutorizacaoLote',
    url=u'services2/NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'homnfe.sefaz.am.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'services2/NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Bahia - Ambiente de producao
#
ESTADO_WS[VERSAO]['BA'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe.sefaz.ba.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'webservices/NFeInutilizacao4/NFeInutilizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe.sefaz.ba.gov.br', webservice=u'NFeConsultaProtocolo4', metodo=u'nfeConsultaNF',
    url=u'webservices/NFeConsultaProtocolo4/NFeConsultaProtocolo4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe.sefaz.ba.gov.br', webservice=u'NFeStatusServico4', metodo=u'nfeStatusServicoNF',
    url=u'webservices/NFeStatusServico4/NFeStatusServico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'nfe.sefaz.ba.gov.br', webservice=u'CadConsultaCadastro4', metodo=u'consultaCadastro',
    url=u'webservices/CadConsultaCadastro4/CadConsultaCadastro4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfe.sefaz.ba.gov.br', webservice=u'NFeRecepcaoEvento4', metodo=u'nfeRecepcaoEvento',
    url=u'webservices/NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.ba.gov.br', webservice=u'NFeAutorizacao4', metodo=u'nfeAutorizacaoLote',
    url=u'webservices/NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.ba.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'webservices/NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Bahia - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'hnfe.sefaz.ba.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'webservices/NFeInutilizacao4/NFeInutilizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'hnfe.sefaz.ba.gov.br', webservice=u'NFeConsultaProtocolo4', metodo=u'nfeConsultaNF',
    url=u'webservices/NFeConsultaProtocolo4/NFeConsultaProtocolo4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'hnfe.sefaz.ba.gov.br', webservice=u'NFeStatusServico4', metodo=u'nfeStatusServicoNF',
    url=u'webservices/NFeStatusServico4/NFeStatusServico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'hnfe.sefaz.ba.gov.br', webservice=u'CadConsultaCadastro4',
    metodo=u'consultaCadastro', url=u'webservices/CadConsultaCadastro4/CadConsultaCadastro4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'hnfe.sefaz.ba.gov.br', webservice=u'NFeRecepcaoEvento4', metodo=u'nfeRecepcaoEvento',
    url=u'webservices/NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'hnfe.sefaz.ba.gov.br', webservice=u'NFeAutorizacao4', metodo=u'nfeAutorizacaoLote',
    url=u'webservices/NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'hnfe.sefaz.ba.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'webservices/NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Ceara - Ambiente de producao
#
ESTADO_WS[VERSAO]['CE'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe.sefaz.ce.gov.br', webservice=u'NfeInutilizacao2', metodo=u'nfeInutilizacaoNF2',
    url=u'nfe2/services/NfeInutilizacao2',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2')
ESTADO_WS[VERSAO]['CE'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe.sefaz.ce.gov.br', webservice=u'NfeConsulta2', metodo=u'nfeConsultaNF2',
    url=u'nfe2/services/NfeConsulta2',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2')
ESTADO_WS[VERSAO]['CE'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe.sefaz.ce.gov.br', webservice=u'NfeStatusServico2', metodo=u'nfeStatusServicoNF2',
    url=u'nfe2/services/NfeStatusServico2',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2')
ESTADO_WS[VERSAO]['CE'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = \
    UFAM[AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['CE'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfe.sefaz.ce.gov.br', webservice=u'RecepcaoEvento', metodo=u'nfeRecepcaoEvento',
    url=u'nfe2/services/RecepcaoEvento',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento')
ESTADO_WS[VERSAO]['CE'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.ce.gov.br', webservice=u'NfeAutorizacao', metodo=u'nfeAutorizacaoLote',
    url=u'nfe2/services/NfeAutorizacao',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao')
ESTADO_WS[VERSAO]['CE'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.ce.gov.br', webservice=u'NfeRetAutorizacao',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfe2/services/NfeRetAutorizacao',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao')
ESTADO_WS[VERSAO]['CE'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Ceara - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['CE'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfeh.sefaz.ce.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'nfe4/services/NFeInutilizacao4?WSDL',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['CE'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfeh.sefaz.ce.gov.br', webservice=u'NFeConsultaProtocolo4', metodo=u'nfeConsultaNF',
    url=u'nfe4/services/NFeConsultaProtocolo4?WSDL',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['CE'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfeh.sefaz.ce.gov.br', webservice=u'NFeStatusServico4', metodo=u'nfeStatusServicoNF',
    url=u'nfe4/services/NFeStatusServico4?WSDL',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['CE'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'nfeh.sefaz.ce.gov.br', webservice=u'CadConsultaCadastro4',
    metodo=u'consultaCadastro', url=u'nfe4/services/CadConsultaCadastro4?WSDL',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['CE'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfeh.sefaz.ce.gov.br', webservice=u'NFeRecepcaoEvento4', metodo=u'nfeRecepcaoEvento',
    url=u'nfe4/services/NFeRecepcaoEvento4?WSDL',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['CE'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfeh.sefaz.ce.gov.br', webservice=u'NFeAutorizacao4', metodo=u'nfeAutorizacaoLote',
    url=u'nfe4/services/NFeAutorizacao4?WSDL',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['CE'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfeh.sefaz.ce.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfe4/services/NFeRetAutorizacao4?WSDL',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['CE'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Goias - Ambiente de producao
#
ESTADO_WS[VERSAO]['GO'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe.sefaz.go.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'nfe/services/NFeInutilizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe.sefaz.go.gov.br', webservice=u'NFeConsultaProtocolo4', metodo=u'nfeConsultaNF',
    url=u'nfe/services/NFeConsultaProtocolo4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe.sefaz.go.gov.br', webservice=u'NFeStatusServico4', metodo=u'nfeStatusServicoNF',
    url=u'nfe/services/NFeStatusServico4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'nfe.sefaz.go.gov.br', webservice=u'CadConsultaCadastro4', metodo=u'consultaCadastro',
    url=u'nfe/services/CadConsultaCadastro4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfe.sefaz.go.gov.br', webservice=u'NFeRecepcaoEvento4', metodo=u'nfeRecepcaoEvento',
    url=u'nfe/services/NFeRecepcaoEvento4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.go.gov.br', webservice=u'NFeAutorizacao4', metodo=u'nfeAutorizacaoLote',
    url=u'nfe/services/NFeAutorizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.go.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfe/services/NFeRetAutorizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Goias - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['GO'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'homolog.sefaz.go.gov.br', webservice=u'NFeInutilizacao4',
    metodo=u'nfeInutilizacaoNF', url=u'nfe/services/NFeInutilizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'homolog.sefaz.go.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'nfe/services/NFeConsultaProtocolo4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'homolog.sefaz.go.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'nfe/services/NFeStatusServico4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'homolog.sefaz.go.gov.br', webservice=u'CadConsultaCadastro4',
    metodo=u'consultaCadastro', url=u'nfe/services/CadConsultaCadastro4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'homolog.sefaz.go.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'nfe/services/NFeRecepcaoEvento4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'homolog.sefaz.go.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'nfe/services/NFeAutorizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'homolog.sefaz.go.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfe/services/NFeRetAutorizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['GO'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Minas Gerais - Ambiente de producao
#
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe.fazenda.mg.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'nfe2/services/NFeInutilizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe.fazenda.mg.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'nfe2/services/NFeConsultaProtocolo4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe.fazenda.mg.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'nfe2/services/NFeStatusServico4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CCE] = dict(
    servidor=u'nfe.fazenda.mg.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento',  url=u'nfe2/services/NFeRecepcaoEvento4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CANCELAMENTO] = dict(
    servidor=u'nfe.fazenda.mg.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento',  url=u'nfe2/services/NFeRecepcaoEvento4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = \
    UFMG[AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe.fazenda.mg.gov.br', webservice=u'NFeAutorizacao4', metodo=u'nfeAutorizacaoLote',
    url=u'nfe2/services/NFeAutorizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe.fazenda.mg.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfe2/services/NFeRetAutorizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Minas Gerais - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'hnfe.fazenda.mg.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'nfe2/services/NFeInutilizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'hnfe.fazenda.mg.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'nfe2/services/NFeConsultaProtocolo4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'hnfe.fazenda.mg.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'nfe2/services/NFeStatusServico4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CCE] = dict(
    servidor=u'hnfe.fazenda.mg.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento',  url=u'nfe2/services/NFeRecepcaoEvento4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CANCELAMENTO] = dict(
    servidor=u'hnfe.fazenda.mg.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento',  url=u'nfe2/services/NFeRecepcaoEvento4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = \
    UFMG[AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'hnfe.fazenda.mg.gov.br', webservice=u'NFeAutorizacao4', metodo=u'nfeAutorizacaoLote',
    url=u'nfe2/services/NFeAutorizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'hnfe.fazenda.mg.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfe2/services/NFeRetAutorizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Mato Grosso do Sul - Ambiente de producao
#
ESTADO_WS[VERSAO]['MS'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe.sefaz.ms.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'ws/NFeInutilizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe.sefaz.ms.gov.br', webservice=u'NFeConsultaProtocolo4', metodo=u'nfeConsultaNF',
    url=u'ws/NFeConsultaProtocolo4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe.sefaz.ms.gov.br', webservice=u'NFeStatusServico4', metodo=u'nfeStatusServicoNF',
    url=u'ws/NFeStatusServico4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'nfe.sefaz.ms.gov.br', webservice=u'CadConsultaCadastro4', metodo=u'consultaCadastro',
    url=u'ws/CadConsultaCadastro4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfe.sefaz.ms.gov.br', webservice=u'NFeRecepcaoEvento4', metodo=u'nfeRecepcaoEvento',
    url=u'ws/NFeRecepcaoEvento4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.ms.gov.br', webservice=u'NFeAutorizacao4', metodo=u'nfeAutorizacaoLote',
    url=u'ws/NFeAutorizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.ms.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'ws/NFeRetAutorizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Mato Grosso do Sul - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['MS'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'hom.nfe.sefaz.ms.gov.br', webservice=u'NFeInutilizacao4',
    metodo=u'nfeInutilizacaoNF', url=u'ws/NFeInutilizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'hom.nfe.sefaz.ms.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'ws/NFeConsultaProtocolo4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'hom.nfe.sefaz.ms.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'ws/NFeStatusServico4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'hom.nfe.sefaz.ms.gov.br', webservice=u'CadConsultaCadastro4',
    metodo=u'consultaCadastro', url=u'ws/CadConsultaCadastro4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'hom.nfe.sefaz.ms.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'ws/NFeRecepcaoEvento4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'hom.nfe.sefaz.ms.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'ws/NFeAutorizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'hom.nfe.sefaz.ms.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'ws/NFeRetAutorizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MS'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Mato Grosso - Ambiente de producao
#
ESTADO_WS[VERSAO]['MT'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe.sefaz.mt.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'nfews/v2/NfeInutilizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe.sefaz.mt.gov.br', webservice=u'NFeConsultaProtocolo4', metodo=u'nfeConsultaNF',
    url=u'nfews/v2/NfeConsultaProtocolo4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe.sefaz.mt.gov.br', webservice=u'NFeStatusServico4', metodo=u'nfeStatusServicoNF',
    url=u'nfews/v2/NfeStatusServico4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'nfe.sefaz.mt.gov.br', webservice=u'CadConsultaCadastro4', metodo=u'consultaCadastro',
    url=u'nfews/v2/CadConsultaCadastro4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfe.sefaz.mt.gov.br', webservice=u'NFeRecepcaoEvento4', metodo=u'nfeRecepcaoEvento',
    url=u'nfews/v2/RecepcaoEvento4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.mt.gov.br', webservice=u'NFeAutorizacao4', metodo=u'nfeAutorizacaoLote',
    url=u'nfews/v2/NfeAutorizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.mt.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfews/v2/NfeRetAutorizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Mato Grosso - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['MT'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'homologacao.sefaz.mt.gov.br', webservice=u'NFeInutilizacao4',
    metodo=u'nfeInutilizacaoNF', url=u'nfews/v2/services/NfeInutilizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'homologacao.sefaz.mt.gov.br',
    webservice=u'NFeConsultaProtocolo4', metodo=u'nfeConsultaNF',
    url=u'nfews/v2/services/NfeConsultaProtocolo4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'homologacao.sefaz.mt.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF',
    url=u'nfews/v2/services/NfeStatusServico4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'homologacao.sefaz.mt.gov.br', webservice=u'CadConsultaCadastro4',
    metodo=u'consultaCadastro',
    url=u'nfews/v2/services/CadConsultaCadastro4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'homologacao.sefaz.mt.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento',
    url=u'nfews/v2/services/RecepcaoEvento4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'homologacao.sefaz.mt.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'nfews/v2/services/NfeAutorizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'homologacao.sefaz.mt.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote',
    url=u'nfews/v2/services/NfeRetAutorizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MT'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Pernambuco - Ambiente de producao
#
ESTADO_WS[VERSAO]['PE'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe.sefaz.pe.gov.br', webservice=u'NFeInutilizacao2', metodo=u'nfeInutilizacaoNF2',
    url=u'nfe-service/services/NfeInutilizacao2',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao2')
ESTADO_WS[VERSAO]['PE'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe.sefaz.pe.gov.br', webservice=u'NFeConsultaProtocolo2', metodo=u'nfeConsultaNF2',
    url=u'nfe-service/services/NfeConsulta2',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo2')
ESTADO_WS[VERSAO]['PE'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe.sefaz.pe.gov.br', webservice=u'NFeStatusServico2', metodo=u'nfeStatusServicoNF2',
    url=u'nfe-service/services/NFeStatusServico2',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico2')
ESTADO_WS[VERSAO]['PE'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = \
    UFPE[AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['PE'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfe.sefaz.pe.gov.br', webservice=u'NFeRecepcaoEvento', metodo=u'nfeRecepcaoEvento',
    url=u'nfe-service/services/RecepcaoEvento',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento')
ESTADO_WS[VERSAO]['PE'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.pe.gov.br', webservice=u'NFeAutorizacao', metodo=u'nfeAutorizacaoLote',
    url=u'nfe-service/services/NFeAutorizacao?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao')
ESTADO_WS[VERSAO]['PE'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe.sefaz.pe.gov.br', webservice=u'NFeRetAutorizacao',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfe-service/services/NFeRetAutorizacao?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao')
ESTADO_WS[VERSAO]['PE'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Pernambuco - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['PE'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfehomolg.sefaz.pe.gov.br', webservice=u'NFeInutilizacao2',
    metodo=u'nfeInutilizacaoNF2', url=u'nfe-service/services/NfeInutilizacao2',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao2')
ESTADO_WS[VERSAO]['PE'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfehomolog.sefaz.pe.gov.br', webservice=u'NFeConsultaProtocolo2',
    metodo=u'nfeConsultaNF2', url=u'nfe-service/services/NfeConsulta2',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo2')
ESTADO_WS[VERSAO]['PE'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfehomolog.sefaz.pe.gov.br', webservice=u'NFeStatusServico2',
    metodo=u'nfeStatusServicoNF2', url=u'nfe-service/services/NFeStatusServico2',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico2')
ESTADO_WS[VERSAO]['PE'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = \
    ESTADO_WS[VERSAO]['PE'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO]  # <-- O mesmo da producao
ESTADO_WS[VERSAO]['PE'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfehomolog.sefaz.pe.gov.br', webservice=u'NFeRecepcaoEvento',
    metodo=u'nfeRecepcaoEvento', url=u'nfe-service/services/RecepcaoEvento',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento')
ESTADO_WS[VERSAO]['PE'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfehomolog.sefaz.pe.gov.br', webservice=u'NFeAutorizacao',
    metodo=u'nfeAutorizacaoLote', url=u'nfe-service/services/NFeAutorizacao?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao')
ESTADO_WS[VERSAO]['PE'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfehomolog.sefaz.pe.gov.br', webservice=u'NFeRetAutorizacao',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfe-service/services/NFeRetAutorizacao?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao')
ESTADO_WS[VERSAO]['PE'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Parana - Ambiente de producao
#
ESTADO_WS[VERSAO]['PR'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe.sefa.pr.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'nfe/NFeInutilizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe.sefa.pr.gov.br', webservice=u'NFeConsultaProtocolo4', metodo=u'nfeConsultaNF',
    url=u'nfe/NFeConsultaProtocolo4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe.sefa.pr.gov.br', webservice=u'NFeStatusServico4', metodo=u'nfeStatusServicoNF',
    url=u'nfe/NFeStatusServico4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'nfe.sefa.pr.gov.br', webservice=u'CadConsultaCadastro4', metodo=u'consultaCadastro',
    url=u'nfe/CadConsultaCadastro4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfe.sefa.pr.gov.br', webservice=u'NFeRecepcaoEvento4', metodo=u'nfeRecepcaoEvento',
    url=u'nfe/NFeRecepcaoEvento4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe.sefa.pr.gov.br', webservice=u'NFeAutorizacao4', metodo=u'nfeAutorizacaoLote',
    url=u'nfe/NFeAutorizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe.sefa.pr.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfe/NFeRetAutorizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Parana - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['PR'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'homologacao.nfe.sefa.pr.gov.br', webservice=u'NFeInutilizacao4',
    metodo=u'nfeInutilizacaoNF', url=u'nfews/v2/NFeInutilizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'homologacao.nfe.sefa.pr.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'nfews/v2/NFeConsultaProtocolo4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'homologacao.nfe.sefa.pr.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'nfews/v2/NFeStatusServico4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'homologacao.nfe.sefa.pr.gov.br', webservice=u'CadConsultaCadastro4',
    metodo=u'consultaCadastro', url=u'nfews/v2/CadConsultaCadastro4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'homologacao.nfe.sefa.pr.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'nfews/v2/NFeRecepcaoEvento4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'homologacao.nfe.sefa.pr.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'nfews/v2/NFeAutorizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'homologacao.nfe.sefa.pr.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfews/v2/NFeRetAutorizacao4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['PR'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Rio Grande do Sul - Ambiente de producao
#
ESTADO_WS[VERSAO]['RS'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe.sefazrs.rs.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe.sefazrs.rs.gov.br', webservice=u'NFeConsultaProtocolo4', metodo=u'nfeConsultaNF',
    url=u'ws/NfeConsulta/NfeConsulta4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe.sefazrs.rs.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'cad.sefazrs.rs.gov.br', webservice=u'CadConsultaCadastro4',
    metodo=u'consultaCadastro', url=u'ws/cadconsultacadastro/cadconsultacadastro4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfe.sefazrs.rs.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'ws/recepcaoevento/recepcaoevento4?wsdl',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe.sefazrs.rs.gov.br', webservice=u'NFeAutorizacao4', metodo=u'nfeAutorizacaoLote',
    url=u'ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe.sefazrs.rs.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Rio Grande do Sul - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['RS'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe-homologacao.sefazrs.rs.gov.br', webservice=u'NFeInutilizacao4',
    metodo=u'nfeInutilizacaoNF', url=u'ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe-homologacao.sefazrs.rs.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'ws/NfeConsulta/NfeConsulta4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe-homologacao.sefazrs.rs.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'cad.sefazrs.rs.gov.br', webservice=u'CadConsultaCadastro2',
    metodo=u'consultaCadastro', url=u'ws/cadconsultacadastro/cadconsultacadastro2.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfe-homologacao.sefazrs.rs.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'ws/recepcaoevento/recepcaoevento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe-homologacao.sefazrs.rs.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe-homologacao.sefazrs.rs.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['RS'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Sao Paulo - Ambiente de producao
#
ESTADO_WS[VERSAO]['SP'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe.fazenda.sp.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'ws/nfeinutilizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe.fazenda.sp.gov.br', webservice=u'NFeConsultaProtocolo4', metodo=u'nfeConsultaNF',
    url=u'ws/nfeconsultaprotocolo4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe.fazenda.sp.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'ws/nfestatusservico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'nfe.fazenda.sp.gov.br', webservice=u'CadConsultaCadastro4',
    metodo=u'consultaCadastro', url=u'ws/cadconsultacadastro4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CANCELAMENTO] = dict(
    servidor=u'nfe.fazenda.sp.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento',  url=u'ws/nferecepcaoevento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SP'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CCE] = dict(
    servidor=u'nfe.fazenda.sp.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento',  url=u'ws/nferecepcaoevento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe.fazenda.sp.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'ws/nfeautorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe.fazenda.sp.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'ws/nferetautorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Sao Paulo - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['SP'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'homologacao.nfe.fazenda.sp.gov.br', webservice=u'NFeInutilizacao4',
    metodo=u'nfeInutilizacaoNF', url=u'ws/nfeinutilizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'homologacao.nfe.fazenda.sp.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'ws/nfeconsultaprotocolo4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'homologacao.nfe.fazenda.sp.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'ws/nfestatusservico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'homologacao.nfe.fazenda.sp.gov.br', webservice=u'CadConsultaCadastro4',
    metodo=u'consultaCadastro', url=u'ws/cadconsultacadastro4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SP'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CCE] = dict(
    servidor=u'homologacao.nfe.fazenda.sp.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento',  url=u'ws/nferecepcaoevento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'homologacao.nfe.fazenda.sp.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'ws/nfeautorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'homologacao.nfe.fazenda.sp.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'ws/nferetautorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['SP'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Virtual Ambiente Nacional - Ambiente de producao
#
ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'www.sefazvirtual.fazenda.gov.br', webservice=u'NFeInutilizacao4',
    metodo=u'nfeInutilizacaoNF', url=u'NFeInutilizacao4/NFeInutilizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'www.sefazvirtual.fazenda.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'NFeConsultaProtocolo4/NFeConsultaProtocolo4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'www.sefazvirtual.fazenda.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'NFeStatusServico4/NFeStatusServico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
# ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'www.sefazvirtual.fazenda.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'www.sefazvirtual.fazenda.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'www.sefazvirtual.fazenda.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')

#
# SEFAZ Virtual Ambiente Nacional - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'hom.sefazvirtual.fazenda.gov.br', webservice=u'NFeInutilizacao4',
    metodo=u'nfeInutilizacaoNF', url=u'NFeInutilizacao4/NFeInutilizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'hom.sefazvirutal.fazenda.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'NFeConsultaProtocolo/NFeConsultaProtocolo4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'hom.sefazvirtual.fazenda.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'NFeStatusServico4/NFeStatusServico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
# ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'hom.sefazvirtual.fazenda.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'hom.sefazvirtual.fazenda.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVAN'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'hom.sefazvirtual.fazenda.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')


#
# SEFAZ Virtual Rio Grande do Sul - Ambiente de producao
#
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe.svrs.rs.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe.svrs.rs.gov.br', webservice=u'NFeConsultaProtocolo4', metodo=u'nfeConsultaNF',
    url=u'ws/NfeConsulta/NfeConsulta4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe.svrs.rs.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor=u'nfe.svrs.rs.gov.br', webservice=u'CadConsultaCadastro4',
    metodo=u'consultaCadastro', url=u'ws/cadconsultacadastro/cadconsultacadastro4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfe.svrs.rs.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'ws/recepcaoevento/recepcaoevento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe.svrs.rs.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe.svrs.rs.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')

#
# SEFAZ Virtual Rio Grande do Sul - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe-homologacao.svrs.rs.gov.br', webservice=u'NFeInutilizacao4',
    metodo=u'nfeInutilizacaoNF', url=u'ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe-homologacao.svrs.rs.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'ws/NfeConsulta/NfeConsulta4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe-homologacao.svrs.rs.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = \
    SVRS[AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfe-homologacao.svrs.rs.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'ws/recepcaoevento/recepcaoevento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe-homologacao.svrs.rs.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe-homologacao.svrs.rs.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')


#
# SEFAZ Virtual de Contingencia Ambiente Nacional - Ambiente de producao
#
# ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO]  <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'www.svc.fazenda.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'NFeConsultaProtocolo4/NFeConsultaProtocolo4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'www.svc.fazenda.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'NFeStatusServico4/NFeStatusServico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
# ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO]  <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'www.svc.fazenda.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CCE] = \
    ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CANCELAMENTO] = \
    ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'www.svc.fazenda.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'www.svc.fazenda.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')

#
# SEFAZ Virtual de Contingencia Ambiente Nacional - Ambiente de homologacao
#
# ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'hom.svc.fazenda.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'NFeConsultaProtocolo4/NFeConsultaProtocolo4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'hom.svc.fazenda.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'NFeStatusServico4/NFeStatusServico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
# ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'hom.svc.fazenda.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CCE] = \
    ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CANCELAMENTO] = \
    ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'hom.svc.fazenda.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVC-AN'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'hom.svc.fazenda.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')


#
# SEFAZ Virtual de Contingencia Rio Grande do Sul - Ambiente de producao
#
ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor=u'nfe.svrs.rs.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfe.svrs.rs.gov.br', webservice=u'NFeConsultaProtocolo4', metodo=u'nfeConsultaNF',
    url=u'ws/NfeConsulta/NfeConsulta4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor=u'nfe.svrs.rs.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
# ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfe.svrs.rs.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'ws/recepcaoevento/recepcaoevento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CCE] = \
    ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor=u'nfe.svrs.rs.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor=u'nfe.svrs.rs.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')

#
# SEFAZ Virtual de Contingencia Rio Grande do Sul - Ambiente de homologacao
#
# ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = \
    SVC_RS[AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA]
ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = \
    SVC_RS[AMBIENTE_HOMOLOGACAO][WS_NFE_SITUACAO]
# ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] <-- Nao implementado
# ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] <-- Nao implementado
#ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CCE] <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = \
    SVC_RS[AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO]
ESTADO_WS[VERSAO]['SVC-RS'][AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = \
    SVC_RS[AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO]


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
