# -*- coding: utf-8 -*-
#
# PySPED - Python libraries to deal with Brazil's SPED Project
#
# Copyright (C) 2010-2012
# Copyright (C) Aristides Caldeira <aristides.caldeira at tauga.com.br>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# PySPED - Bibliotecas Python para o
#          SPED - Sistema Público de Escrituração Digital
#
# Copyright (C) 2010-2012
# Copyright (C) Aristides Caldeira <aristides.caldeira arroba tauga.com.br>
#
# Este programa é um software livre: você pode redistribuir e/ou modificar
# este programa sob os termos da licença GNU Affero General Public License,
# publicada pela Free Software Foundation, em sua versão 3 ou, de acordo
# com sua opção, qualquer versão posterior.
#
# Este programa é distribuido na esperança de que venha a ser útil,
# porém SEM QUAISQUER GARANTIAS, nem mesmo a garantia implícita de
# COMERCIABILIDADE ou ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA. Veja a
# GNU Affero General Public License para mais detalhes.
#
# Você deve ter recebido uma cópia da GNU Affero General Public License
# juntamente com este programa. Caso esse não seja o caso, acesse:
# <http://www.gnu.org/licenses/>
#

from __future__ import division, print_function, unicode_literals

from webservices_flags import *


WS_NFSE_ENVIO_LOTE = 0
WS_NFSE_CONSULTA_LOTE = 1
WS_NFSE_CANCELAMENTO = 2
WS_NFSE_CONSULTA_NOTA = 3
WS_NFSE_CONSULTA_NFSERPS = 4
WS_NFSE_CONSULTA_SEQUENCIA_RPS = 5


METODO_WS = {
    WS_NFSE_ENVIO_LOTE: {
        'metodo'    : 'enviar',
    },
    WS_NFSE_CONSULTA_LOTE: {
        'metodo'    : 'consultarLote',
    },
    WS_NFSE_CANCELAMENTO: {
        'metodo'    : 'cancelar',
    },
    WS_NFSE_CONSULTA_NOTA: {
        'metodo'    : 'consultarNota',
    },
    WS_NFSE_CONSULTA_NFSERPS: {
        'metodo'    : 'consultarNFSeRps',
    },
    WS_NFSE_CONSULTA_SEQUENCIA_RPS: {
        'metodo'    : 'consultarSequencialRps',
    }
}


CIDADE_SOROCABA_SP = {
    NFSE_AMBIENTE_HOMOLOGACAO: {
        'servidor': 'treinamento.dsfweb.com.br',
        'url'     : 'WsNFe2/LoteRps.jws'
    },
    NFSE_AMBIENTE_PRODUCAO: {
        'servidor': 'www.issdigitalsod.com.br',
        'url'     : 'WsNFe2/LoteRps.jws'
    }
}

SETE_LAGOAS = {
    NFSE_AMBIENTE_PRODUCAO: {},
    NFSE_AMBIENTE_HOMOLOGACAO: {
        RECEPCIONAR_LOTE_RPS_REQUEST: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'RecepcionarLoteRpsRequest',
                url=u'http://homologacaosetelagoas.portalfacil.com.br/nfseserv/webservice/servicos#RecepcionarLoteRpsRequest',
                namespace=u'http://homologacaosetelagoas.portalfacil.com.br/nfseserv/webservice/servicos#RecepcionarLoteRpsRequest'),
        RECEPCIONAR_LOTE_RPS_RESPONSE: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'RecepcionarLoteRpsResponse',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        CANCELAR_NFSE_REQUEST: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'CancelarNfseRequest',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        CANCELAR_NFSE_RESPONSE: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'CancelarNfseResponse',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        CONSULTAR_LOTE_RPS_REQUEST: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'ConsultarLoteRpsRequest',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        CONSULTAR_LOTE_RPS_RESPONSE: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'ConsultarLoteRpsResponse',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        CONSULTAR_NFSE_SERVICO_PRESTADO_REQUEST: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'ConsultarNfseServicoPrestadoRequest',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        CONSULTAR_NFSE_SERVICO_PRESTADO_RESPONSE: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'ConsultarNfseServicoPrestadoResponse',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        CONSULTAR_NFSE_SERVICO_TOMADO_REQUEST: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'ConsultarNfseServicoTomadoRequest',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        CONSULTAR_NFSE_SERVICO_TOMADO_RESPONSE: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'ConsultarNfseServicoTomadoResponse',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        CONSULTAR_NFSE_POR_FAIXA_REQUEST: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'ConsultarNfsePorFaixaRequest',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        CONSULTAR_NFSE_POR_FAIXA_RESPONSE: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'ConsultarNfsePorFaixaResponse',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        CONSULTAR_NFSE_POR_RPS_REQUEST: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'ConsultarNfsePorRpsRequest',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        CONSULTAR_NFSE_POR_RPS_RESPONSE: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'ConsultarNfsePorRpsResponse',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        GERAR_NFSE_REQUEST: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'GerarNfseRequest',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        GERAR_NFSE_RESPONSE: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'GerarNfseResponse',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        SUBSTITUIR_NFSE_REQUEST: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'SubstituirNfseRequest',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        SUBSTITUIR_NFSE_RESPONSE: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'SubstituirNfseResponse',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        RECEPCIONAR_LOTE_RPS_SINCRONO_REQUEST: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'RecepcionarLoteRpsSincronoRequest',
                url=u'http://homologacaosetelagoas.portalfacil.com.br/nfseserv/webservice/servicos#RecepcionarLoteRpsSincronoRequest',
                namespace=u'http://homologacaosetelagoas.portalfacil.com.br/nfseserv/webservice/servicos#RecepcionarLoteRpsSincronoRequest'),
        RECEPCIONAR_LOTE_RPS_SINCRONO_RESPONSE: dict(
                servidor=u'homologacaosetelagoas.portalfacil.com.br',
                webservice=u'servicos',
                metodo=u'RecepcionarLoteRpsSincronoResponse',
                url=u'nfe2/services/NfeRecepcao2',
                namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
    }
}

CIDADE_WS = {IBGE_SETE_LAGOAS: SETE_LAGOAS}