# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from webservices_flags import *

# SEFAZ Virtual Rio Grande do Sul
# Atende os estados AC, AL, AP, DF, ES, PB, PI, RJ, RN, RO, RR, SC, SE, TO
SVRS = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'cad.svrs.rs.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'ws/cadconsultacadastro/cadconsultacadastro2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'cad.svrs.rs.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'ws/cadconsultacadastro/cadconsultacadastro2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Virtual Ambiente Nacional
# Atende os estados MA e PA
SVAN = {
    # Este servico nao esta disponivel em producao - Tentativa em SVRS
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: SVRS[NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_CADASTRO]
    },
    # Este servico nao esta disponivel em homologacao - Tentativa em SVRS
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: SVRS[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_CADASTRO]
    }
}

# SEFAZ Virtual de Contingencia Ambiente Nacional - (SVC-AN)
SVC_AN = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor=u'www.svc.fazenda.gov.br',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'NfeRecepcao2/NfeRecepcao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor=u'www.svc.fazenda.gov',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'NfeRetRecepcao2/NfeRetRecepcao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor=u'www.svc.fazenda.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'RecepcaoEvento/RecepcaoEvento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO: dict(
            servidor=u'www.svc.fazenda.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'RecepcaoEvento/RecepcaoEvento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_INUTILIZACAO: dict(
            servidor=u'www.svc.fazenda.gov.br',
            webservice=u'NfeInutilizacao2',
            metodo=u'nfeInutilizacaoNF2',
            url=u'NFeInutilizacao2/NFeInutilizacao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2'),
        WS_NFE_CONSULTA: dict(
            servidor=u'www.svc.fazenda.gov.br',
            webservice=u'NfeConsulta2',
            metodo=u'nfeConsultaNF2',
            url=u'NfeConsulta2/NfeConsulta2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2'),
        WS_NFE_SITUACAO: dict(
            servidor=u'www.svc.fazenda.gov.br',
            webservice=u'NfeStatusServico2',
            metodo=u'nfeStatusServicoNF2',
            url=u'NFeStatusServico2/NFeStatusServico2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2'),
        WS_NFE_AUTORIZACAO: dict(
            servidor=u'www.svc.fazenda.gov.br',
            webservice=u'NfeAutorizacao',
            metodo=u'nfeAutorizacaoLote',
            url=u'NfeAutorizacao/NfeAutorizacao.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor=u'www.svc.fazenda.gov.br',
            webservice=u'NfeRetAutorizacao',
            metodo=u'nfeRetAutorizacaoLote',
            url=u'NfeRetAutorizacao/NfeRetAutorizacao.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor=u'hom.svc.fazenda.gov.br',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'NfeRecepcao2/NfeRecepcao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor=u'hom.svc.fazenda.gov',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'NfeRetRecepcao2/NfeRetRecepcao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor=u'hom.svc.fazenda.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'RecepcaoEvento/RecepcaoEvento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO: dict(
            servidor=u'hom.svc.fazenda.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'RecepcaoEvento/RecepcaoEvento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_INUTILIZACAO: dict(
            servidor=u'hom.svc.fazenda.gov.br',
            webservice=u'NfeInutilizacao2',
            metodo=u'nfeInutilizacaoNF2',
            url=u'NfeInutilizacao2/NfeInutilizacao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2'),
        WS_NFE_CONSULTA: dict(
            servidor=u'hom.svc.fazenda.gov.br',
            webservice=u'NfeConsulta2',
            metodo=u'nfeConsultaNF2',
            url=u'NfeConsulta2/NfeConsulta2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2'),
        WS_NFE_SITUACAO: dict(
            servidor=u'hom.svc.fazenda.gov.br',
            webservice=u'NfeStatusServico2',
            metodo=u'nfeStatusServicoNF2',
            url=u'NfeStatusServico2/NfeStatusServico2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2'),
        WS_NFE_AUTORIZACAO: dict(
            servidor=u'hom.svc.fazenda.gov.br',
            webservice=u'NfeAutorizacao',
            metodo=u'nfeAutorizacaoLote',
            url=u'NfeAutorizacao/NfeAutorizacao.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor=u'hom.svc.fazenda.gov.br',
            webservice=u'NfeRetAutorizacao',
            metodo=u'nfeRetAutorizacaoLote',
            url=u'NfeRetAutorizacao/NfeRetAutorizacao.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    }
}

# SEFAZ Virtual de Contingencia Ambiente Nacional - (SVC-RS)
SVC_RS = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor=u'nfe.svrs.rs.gov.br',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'ws/Nferecepcao/NFeRecepcao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor=u'nfe.svrs.rs.gov.br',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'ws/NfeRetRecepcao/NfeRetRecepcao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor=u'nfe.svrs.rs.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'ws/recepcaoevento/recepcaoevento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO: dict(
            servidor=u'nfe.svrs.rs.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'ws/recepcaoevento/recepcaoevento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_CONSULTA: dict(
            servidor=u'nfe.svrs.rs.gov.br',
            webservice=u'NfeConsulta2',
            metodo=u'nfeConsultaNF2',
            url=u'ws/NfeConsulta/NfeConsulta2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2'),
        WS_NFE_SITUACAO: dict(
            servidor=u'nfe.svrs.rs.gov.br',
            webservice=u'NfeStatusServico2',
            metodo=u'nfeStatusServicoNF2',
            url=u'ws/NfeStatusServico/NfeStatusServico2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2'),
        WS_NFE_AUTORIZACAO: dict(
            servidor=u'nfe.svrs.rs.gov.br',
            webservice=u'NfeAutorizacao',
            metodo=u'nfeAutorizacaoLote',
            url=u'ws/NfeAutorizacao/NFeAutorizacao.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor=u'nfe.svrs.rs.gov.br',
            webservice=u'NfeRetAutorizacao',
            metodo=u'nfeRetAutorizacaoLote',
            url=u'ws/NfeRetAutorizacao/NFeRetAutorizacao.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor=u'nfe-homologacao.svrs.rs.gov.br',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'ws/Nferecepcao/NFeRecepcao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor=u'nfe-homologacao.svrs.rs.gov.br',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'ws/NfeRetRecepcao/NfeRetRecepcao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor=u'nfe-homologacao.svrs.rs.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'ws/recepcaoevento/recepcaoevento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO: dict(
            servidor=u'nfe-homologacao.svrs.rs.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'ws/recepcaoevento/recepcaoevento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_CONSULTA: dict(
            servidor=u'nfe-homologacao.svrs.rs.gov.br',
            webservice=u'NfeConsulta2',
            metodo=u'nfeConsultaNF2',
            url=u'ws/NfeConsulta/NfeConsulta2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2'),
        WS_NFE_SITUACAO: dict(
            servidor=u'nfe-homologacao.svrs.rs.gov.br',
            webservice=u'NfeStatusServico2',
            metodo=u'nfeStatusServicoNF2',
            url=u'ws/NfeStatusServico/NfeStatusServico2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2'),
        WS_NFE_AUTORIZACAO: dict(
            servidor=u'nfe-homologacao.svrs.rs.gov.br',
            webservice=u'NfeAutorizacao',
            metodo=u'nfeAutorizacaoLote',
            url=u'ws/NfeAutorizacao/NFeAutorizacao.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor=u'nfe-homologacao.svrs.rs.gov.br',
            webservice=u'NfeRetAutorizacao',
            metodo=u'nfeRetAutorizacaoLote',
            url=u'ws/NfeRetAutorizacao/NFeRetAutorizacao.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    }
}

# Ambiente Nacional
AN = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_EVENTO: dict(
            servidor=u'www1.nfe.fazenda.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'RecepcaoEvento/RecepcaoEvento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_CONSULTA_DESTINATARIO: dict(
            servidor=u'www1.nfe.fazenda.gov.br',
            webservice=u'NFeDistribuicaoDFe',
            metodo=u'nfeDistDFeInteresse',
            url=u'NFeDistribuicaoDFe/NFeDistribuicaoDFe.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeDistribuicaoDFe'),
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: dict(
            servidor=u'www1.nfe.fazenda.gov.br',
            webservice=u'NFeDistribuicaoDFe',
            metodo=u'nfeDistDFeInteresse',
            url=u'NFeDistribuicaoDFe/NFeDistribuicaoDFe.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeDistribuicaoDFe'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_EVENTO: dict(
            servidor=u'hom.nfe.fazenda.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'RecepcaoEvento/RecepcaoEvento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_CONSULTA_DESTINATARIO: dict(
            servidor=u'hom.nfe.fazenda.gov.br',
            webservice=u'NFeDistribuicaoDFe',
            metodo=u'nfeDistDFeInteresse',
            url=u'NFeDistribuicaoDFe/NFeDistribuicaoDFe.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeDistribuicaoDFe'),
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: dict(
            servidor=u'hom.nfe.fazenda.gov.br',
            webservice=u'NfeDownloadNF',
            metodo=u'nfeDownloadNF',
            url=u'NfeDownloadNF/NfeDownloadNF.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeDownloadNF'),
    },
}

# Servidores dos estados
# SEFAZ Amazonas
UFAM = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'nfe.sefaz.am.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'services2/services/cadconsultacadastro2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'homnfe.sefaz.am.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'services2/services/cadconsultacadastro2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Bahia
UFBA = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor=u'nfe.sefaz.ba.gov.br',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'webservices/nfenw/NfeRecepcao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor=u'nfe.sefaz.ba.gov.br',
            webservice=u'NfeRetRecepcao',
            metodo=u'nfeRetRecepcao2',
            url=u'webservices/nfenw/NfeRetRecepcao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor=u'nfe.sefaz.ba.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'webservices/sre/recepcaoevento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO_CCE: dict(
            servidor=u'nfe.sefaz.ba.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'webservices/sre/recepcaoevento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),

        # Manifesto Destinatario utiliza o Ambiente Nacional (AN)
        WS_NFE_EVENTO: AN[NFE_AMBIENTE_PRODUCAO][WS_NFE_EVENTO],
        WS_NFE_CONSULTA_DESTINATARIO: AN[NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_DESTINATARIO],
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: AN[NFE_AMBIENTE_PRODUCAO][WS_NFE_DOWNLOAD_XML_DESTINATARIO],

        WS_NFE_INUTILIZACAO: dict(
            servidor=u'nfe.sefaz.ba.gov.br',
            webservice=u'NfeInutilizacao2',
            metodo=u'nfeInutilizacaoNF2',
            url=u'webservices/nfenw/NfeInutilizacao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2'),
        WS_NFE_CONSULTA: dict(
            servidor=u'nfe.sefaz.ba.gov.br',
            webservice=u'NfeConsulta',
            metodo=u'nfeConsulta',
            url=u'webservices/NfeConsulta/NfeConsulta.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta'),
        WS_NFE_SITUACAO: dict(
            servidor=u'nfe.sefaz.ba.gov.br',
            webservice=u'NfeStatusServico2',
            metodo=u'nfeStatusServicoNF2',
            url=u'webservices/nfenw/NfeStatusServico2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico'),
        WS_NFE_AUTORIZACAO: dict(
            servidor=u'nfe.sefaz.ba.gov.br',
            webservice=u'NfeAutorizacao',
            metodo=u'nfeAutorizacaoLote',
            url=u'webservices/NfeAutorizacao/NfeAutorizacao.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor=u'nfe.sefaz.ba.gov.br',
            webservice=u'NfeRetAutorizacao',
            metodo=u'nfeRetAutorizacaoLote',
            url=u'webservices/NfeRetAutorizacao/NfeRetAutorizacao.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor=u'hnfe.sefaz.ba.gov.br',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'webservices/nfenw/NfeRecepcao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor=u'hnfe.sefaz.ba.gov.br',
            webservice=u'NfeRetRecepcao2',
            metodo=u'nfeRetRecepcao2',
            url=u'webservices/nfenw/NfeRetRecepcao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor=u'hnfe.sefaz.ba.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'webservices/sre/recepcaoevento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO_CCE: dict(
            servidor=u'hnfe.sefaz.ba.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'webservices/sre/recepcaoevento.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),

        # Manifesto Destinatario utiliza o Ambiente Nacional (AN)
        WS_NFE_EVENTO: AN[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_EVENTO],
        WS_NFE_CONSULTA_DESTINATARIO: AN[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_DESTINATARIO],
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: AN[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DOWNLOAD_XML_DESTINATARIO],

        WS_NFE_INUTILIZACAO: dict(
            servidor=u'hnfe.sefaz.ba.gov.br',
            webservice=u'NfeInutilizacao2',
            metodo=u'nfeInutilizacaoNF2',
            url=u'webservices/nfenw/NfeInutilizacao2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2'),
        WS_NFE_CONSULTA: dict(
            servidor=u'hnfe.sefaz.ba.gov.br',
            webservice=u'NfeConsulta',
            metodo=u'nfeConsulta',
            url=u'webservices/NfeConsulta/NfeConsulta.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta'),
        WS_NFE_SITUACAO: dict(
            servidor=u'hnfe.sefaz.ba.gov.br',
            webservice=u'NfeStatusServico',
            metodo=u'nfeStatusServico',
            url=u'webservices/NfeStatusServico/NfeStatusServico.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico'),
        WS_NFE_AUTORIZACAO: dict(
            servidor=u'hnfe.sefaz.ba.gov.br',
            webservice=u'NfeAutorizacao',
            metodo=u'nfeAutorizacaoLote',
            url=u'webservices/NfeAutorizacao/NfeAutorizacao.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor=u'hnfe.sefaz.ba.gov.br',
            webservice=u'NfeRetAutorizacao',
            metodo=u'nfeRetAutorizacaoLote',
            url=u'webservices/NfeRetAutorizacao/NfeRetAutorizacao.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    }
}

# SEFAZ Ceara
UFCE = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'nfe.sefaz.ce.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'nfe2/services/CadConsultaCadastro2?wsdl',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'nfeh.sefaz.ce.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'nfe2/services/CadConsultaCadastro2?wsdl',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Goias
UFGO = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'nfe.sefaz.go.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'nfe/services/v2/CadConsultaCadastro2?wsdl',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'homolog.sefaz.go.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'nfe/services/v2/CadConsultaCadastro2?wsdl',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Minas Gerais
UFMG = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor=u'nfe.fazenda.mg.gov.br',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'nfe2/services/NfeRecepcao2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor=u'nfe.fazenda.mg.gov.br',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'nfe2/services/NfeRetRecepcao2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor=u'nfe.fazenda.mg.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'nfe2/services/RecepcaoEvento',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO_CCE: dict(
            servidor=u'nfe.fazenda.mg.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'nfe2/services/RecepcaoEvento',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),

        # Manifesto Destinatario utiliza o Ambiente Nacional (AN)
        WS_NFE_EVENTO: AN[NFE_AMBIENTE_PRODUCAO][WS_NFE_EVENTO],
        WS_NFE_CONSULTA_DESTINATARIO: AN[NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_DESTINATARIO],
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: AN[NFE_AMBIENTE_PRODUCAO][WS_NFE_DOWNLOAD_XML_DESTINATARIO],

        WS_NFE_INUTILIZACAO: dict(
            servidor=u'nfe.fazenda.mg.gov.br',
            webservice=u'NfeInutilizacao2',
            metodo=u'nfeInutilizacaoNF2',
            url=u'nfe2/services/NfeInutilizacao2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2'),
        WS_NFE_CONSULTA: dict(
            servidor=u'nfe.fazenda.mg.gov.br',
            webservice=u'NfeConsulta2',
            metodo=u'nfeConsultaNF2',
            url=u'nfe2/services/NfeConsulta2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2'),
        WS_NFE_SITUACAO: dict(
            servidor=u'nfe.fazenda.mg.gov.br',
            webservice=u'NfeStatusServico2',
            metodo=u'nfeStatusServicoNF2',
            url=u'nfe2/services/NfeStatus2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2'),
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'nfe.fazenda.mg.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'nfe2/services/cadconsultacadastro2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
        WS_NFE_AUTORIZACAO: dict(
            servidor=u'nfe.fazenda.mg.gov.br',
            webservice=u'NfeAutorizacao',
            metodo=u'nfeAutorizacaoLote',
            url=u'nfe2/services/NfeAutorizacao',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor=u'nfe.fazenda.mg.gov.br',
            webservice=u'NfeRetAutorizacao',
            metodo=u'nfeRetAutorizacaoLote',
            url=u'nfe2/services/NfeRetAutorizacao',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor=u'hnfe.fazenda.mg.gov.br',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'nfe2/services/NfeRecepcao2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor=u'hnfe.fazenda.mg.gov.br',
            webservice=u'NfeRecepcao2',
            metodo=u'nfeRecepcaoLote2',
            url=u'nfe2/services/NfeRetRecepcao2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor=u'hnfe.fazenda.mg.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'nfe2/services/RecepcaoEvento',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO_CCE: dict(
            servidor=u'hnfe.fazenda.mg.gov.br',
            webservice=u'RecepcaoEvento',
            metodo=u'nfeRecepcaoEvento',
            url=u'nfe2/services/RecepcaoEvento',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),

        # Manifesto Destinatario utilizado do Ambiente Nacional
        WS_NFE_EVENTO: AN[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_EVENTO],
        WS_NFE_CONSULTA_DESTINATARIO: AN[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_DESTINATARIO],
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: AN[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DOWNLOAD_XML_DESTINATARIO],

        WS_NFE_INUTILIZACAO: dict(
            servidor=u'hnfe.fazenda.mg.gov.br',
            webservice=u'NfeInutilizacao2',
            metodo=u'nfeInutilizacaoNF2',
            url=u'nfe2/services/NfeInutilizacao2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2'),
        WS_NFE_CONSULTA: dict(
            servidor=u'hnfe.fazenda.mg.gov.br',
            webservice=u'NfeConsulta2',
            metodo=u'nfeConsultaNF2',
            url=u'nfe2/services/NfeConsulta2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2'),
        WS_NFE_SITUACAO: dict(
            servidor=u'hnfe.fazenda.mg.gov.br',
            webservice=u'NfeStatusServico2',
            metodo=u'nfeStatusServicoNF2',
            url=u'nfe2/services/NfeStatus2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2'),
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'hnfe.fazenda.mg.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'nfe2/services/cadconsultacadastro2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
        WS_NFE_AUTORIZACAO: dict(
            servidor=u'hnfe.fazenda.mg.gov.br',
            webservice=u'NfeAutorizacao',
            metodo=u'nfeAutorizacaoLote',
            url=u'nfe2/services/NfeAutorizacao',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor=u'hnfe.fazenda.mg.gov.br',
            webservice=u'NfeRetAutorizacao',
            metodo=u'nfeRetAutorizacaoLote',
            url=u'nfe2/services/NfeRetAutorizacao',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    }
}

# SEFAZ Mato Grosso do Sul
UFMS = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'nfe.fazenda.ms.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'producao/services2/CadConsultaCadastro2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'homologacao.nfe.ms.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'homologacao/services2/CadConsultaCadastro2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Mato Grosso
UFMT = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'nfe.sefaz.mt.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'nfews/v2/services/CadConsultaCadastro2?wsdl',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'homologacao.sefaz.mt.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'nfews/v2/services/CadConsultaCadastro2?wsdl',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Pernanbuco
UFPE = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'nfe.sefaz.pe.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'nfe-service/services/CadConsultaCadastro2',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        # Este servico nao esta disponivel em homogacao - Usa-se producao. (somente consulta)
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'nfe.sefaz.pe.gov.br',  # <-- Atencao! Ambiente de producao
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'nfe-service/services/CadConsultaCadastro2',  # <-- Atencao! anbiente de producao
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Parana
UFPR = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'nfe.fazenda.pr.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'nfe/CadConsultaCadastro2?wsdl',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'homologacao.nfe.fazenda.pr.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'nfe/CadConsultaCadastro2?wsdl',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Rio Grande do Sul
UFRS = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'cad.sefazrs.rs.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'ws/cadconsultacadastro/cadconsultacadastro2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'cad.sefazrs.rs.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'ws/cadconsultacadastro/cadconsultacadastro2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Sao Paulo
UFSP = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'nfe.fazenda.sp.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'ws/cadconsultacadastro2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor=u'homologacao.nfe.fazenda.sp.gov.br',
            webservice=u'CadConsultaCadastro2',
            metodo=u'consultaCadastro2',
            url=u'ws/cadconsultacadastro2.asmx',
            namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# Web Service dos estados
ESTADO_WS = {
    u'AC': SVRS,  # Servido pela SEFAZ Virtual Rio Grande do Sul
    u'AL': SVRS,  # Servido pela SEFAZ Virtual Rio Grande do Sul
    u'AM': UFAM,  # SEFAZ Amazonas
    u'AN': AN,  # Ambiente Nacional
    u'AP': SVRS,  # Servido pela SEFAZ Virtual Rio Grande do Sul
    u'BA': UFBA,  # SEFAZ Bahia
    u'CE': UFCE,  # SEFAZ Ceara
    u'DF': SVRS,  # Servido pela SEFAZ Virtual Rio Grande do Sul
    u'ES': SVRS,  # Servido pela SEFAZ Virtual Rio Grande do Sul
    u'GO': UFGO,  # SEFAZ Goias
    u'MA': SVAN,  # Servido pela SEFAZ Virtual Ambiente Nacional
    u'MG': UFMG,  # SEFAZ Minas Gerais
    u'MS': UFMS,  # SEFAZ Mato Grosso do Sul
    u'MT': UFMT,  # SEFAZ Mato Grosso
    u'PA': SVAN,  # Servido pela SEFAZ Virtual Ambiente Nacional
    u'PB': SVRS,  # Servido pela SEFAZ Virtual Rio Grande do Sul
    u'PE': UFPE,  # SEFAZ Pernanbuco
    u'PI': SVRS,  # Servido pela SEFAZ Virtual Rio Grande do Sul
    u'PR': UFPR,  # SEFAZ Parana
    u'RJ': SVRS,  # Servido pela SEFAZ Virtual Rio Grande do Sul
    u'RN': SVRS,  # Servido pela SEFAZ Virtual Rio Grande do Sul
    u'RO': SVRS,  # Servido pela SEFAZ Virtual Rio Grande do Sul
    u'RR': SVRS,  # Servido pela SEFAZ Virtual Rio Grande do Sul
    u'RS': UFRS,  # SEFAZ Rio Grande do Sul
    u'SC': SVRS,  # Servido pela SEFAZ Virtual Rio Grande do Sul
    u'SE': SVRS,  # Servido pela SEFAZ Virtual Rio Grande do Sul
    u'SP': UFSP,  # SEFAZ Sao Paulo
    u'SVAN': SVAN,  # SEFAZ Virtual Ambiente Nacional
    u'SVC-AN': SVC_AN,  # SEFAZ Virtual de Contingencia Ambiente Nacional
    u'SVC-RS': SVC_RS,  # SEFAZ Virtual de Contingencia Rio Grande do Sul
    u'SVRS': SVRS,  # SEFAZ Virtual Rio Grande do Sul
    u'TO': SVRS  # Servido pela SEFAZ Virtual Rio Grande do Sul
}

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
