from setuptools import setup, find_packages
import os
import re

packages = find_packages()

def get_variable(regex):
    initfile = file('nfe/__init__.py')
    for line in initfile:
        match = re.search(r'^'+regex+'\s+=\s+(.*)', line)
        if match:
            value = eval(match.group(1))
            return value

setup(
    name="nfe",
    version='.'.join([str(v) for v in get_variable('version')]),
    license=get_variable('__license__'),
    url=get_variable('__url__'),
    author=get_variable('__author__'),
    author_email=get_variable('__author_email__'),
    description=get_variable('__description__'),
    keywords=get_variable('__keywords__'),

    packages=packages,
    include_package_data=True,
    classifiers=["Development Status :: 1.0",
                 "Topic :: NFe",
                 "License :: LGPL", ],
    package_dir={'nfe': 'nfe'},
    package_data={'nfe.pysped.relato_sped':                   [os.path.join('fonts','*')],
                  'nfe.pysped.nfe.danfe':                     [os.path.join('fonts','*')],
                  'nfe.pysped.nfe.manual_401':                [os.path.join('schema', 'pl_006j', '*'),
                                                               os.path.join('schema', 'pl_006r', '*'),
                                                               os.path.join('schema', 'pl_006s', '*')],
                  'nfe.pysped.nfe.manual_500':                [os.path.join('schema', 'pl_008e', '*')],
                  'nfe.pysped.xml_sped':                      [os.path.join('schema', '*'),
                                                               os.path.join('cadeia-certificadora', '*cadeia*'),
                                                               os.path.join('cadeia-certificadora', 'certificados', '*')],
                  'nfe.pysped.nfe.manifestacao_destinatario': [os.path.join('schema', 'pl', '*')],
    }
)
